commit:     723b62b005dd709cbf78165a8a49119a4354a415
Author:     Jakov Smolic <jakov.smolic <AT> sartura <DOT> hr>
AuthorDate: Mon Dec 28 15:17:03 2020 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Mon Dec 28 15:17:03 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=723b62b0

app-i18n/imsettings: Port to EAPI 7

Closes: https://bugs.gentoo.org/708250
Package-Manager: Portage-3.0.9, Repoman-3.0.1
Signed-off-by: Jakov Smolic <jakov.smolic <AT> sartura.hr>
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 .../imsettings/files/imsettings-1.7.2-fno-common.patch | 11 +++++++++++
 app-i18n/imsettings/imsettings-1.7.2.ebuild            | 18 ++++++++++--------
 2 files changed, 21 insertions(+), 8 deletions(-)

diff --git a/app-i18n/imsettings/files/imsettings-1.7.2-fno-common.patch 
b/app-i18n/imsettings/files/imsettings-1.7.2-fno-common.patch
new file mode 100644
index 00000000000..0845bd31820
--- /dev/null
+++ b/app-i18n/imsettings/files/imsettings-1.7.2-fno-common.patch
@@ -0,0 +1,11 @@
+--- a/imsettings-daemon/imsettings-server.c
++++ b/imsettings-daemon/imsettings-server.c
+@@ -93,7 +93,7 @@ GDBusInterfaceVTable __iface_vtable = {
+       NULL,
+       NULL,
+ };
+-guint signals[LAST_SIGNAL];
++extern guint signals[LAST_SIGNAL];
+ 
+ G_DEFINE_TYPE (IMSettingsServer, imsettings_server, G_TYPE_OBJECT);
+ G_LOCK_DEFINE_STATIC (logger);

diff --git a/app-i18n/imsettings/imsettings-1.7.2.ebuild 
b/app-i18n/imsettings/imsettings-1.7.2.ebuild
index f2f473de2fa..789cc72bb3e 100644
--- a/app-i18n/imsettings/imsettings-1.7.2.ebuild
+++ b/app-i18n/imsettings/imsettings-1.7.2.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI="6"
+EAPI=7
 
-inherit autotools xdg-utils
+inherit autotools
 
 DESCRIPTION="Delivery framework for general Input Method configuration"
 HOMEPAGE="https://tagoh.bitbucket.io/imsettings";
@@ -12,7 +12,7 @@ 
SRC_URI="https://bitbucket.org/tagoh/${PN}/downloads/${P}.tar.bz2";
 LICENSE="LGPL-2.1"
 SLOT="0"
 KEYWORDS="amd64 ~x86"
-IUSE="gconf gtk2 qt5 +introspection static-libs xfconf"
+IUSE="gconf gtk2 qt5 +introspection xfconf"
 RESTRICT="test"
 
 RDEPEND="dev-libs/glib:2
@@ -26,7 +26,8 @@ RDEPEND="dev-libs/glib:2
        !gtk2? ( x11-libs/gtk+:3 )
        introspection? ( dev-libs/gobject-introspection )
        xfconf? ( xfce-base/xfconf )"
-DEPEND="${RDEPEND}
+DEPEND="${RDEPEND}"
+BDEPEND="
        dev-util/glib-utils
        dev-util/intltool
        sys-devel/autoconf-archive
@@ -35,6 +36,8 @@ DEPEND="${RDEPEND}
 
 MY_XINPUTSH="90-xinput"
 
+PATCHES=( "${FILESDIR}"/${P}-fno-common.patch )
+
 src_prepare() {
        sed -i \
                -e "/PKG_CHECK_MODULES/s/\(gconf-2\.0\)/$(usex gconf '\1' _)/" \
@@ -49,18 +52,17 @@ src_prepare() {
 
        default
        eautoreconf
-       xdg_environment_reset
 }
 
 src_configure() {
        econf \
-               $(use_enable static-libs static) \
+               --disable-static \
                --with-xinputsh=${MY_XINPUTSH}
 }
 
 src_install() {
        default
-       find "${D}" -name '*.la' -delete || die
+       find "${ED}" -name '*.la' -delete || die
 
        fperms 0755 /etc/X11/xinit/xinitrc.d/${MY_XINPUTSH}
 }

Reply via email to